Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512606 - undefined symbol: _nm_utils_ascii_str_to_int64
Summary: undefined symbol: _nm_utils_ascii_str_to_int64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-fortisslvpn
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1515146 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-13 16:00 UTC by Matthias Hensler
Modified: 2017-11-28 23:47 UTC (History)
7 users (show)

Fixed In Version: NetworkManager-fortisslvpn-1.2.6-3.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 23:47:59 UTC


Attachments (Terms of Use)

Description Matthias Hensler 2017-11-13 16:00:11 UTC
Description of problem:
the current version of NetworkManager-fortisslvpn does not work because of undefined symbols.


Version-Release number of selected component (if applicable):
1.2.6-1.fc27

How reproducible:
always with current version (1.2.6-1.fc27), while older version (1.2.4-4.fc27.x86_64) works fine.


Steps to Reproduce:
1. install version 1.2.6-1.fc27
2. try to establish a vpn connection
3.

Actual results:
Connection is not possible:

Nov 12 15:12:20 kobayashi-maru NetworkManager[24090]: INFO:   Connected to gateway.
Nov 12 15:12:20 kobayashi-maru NetworkManager[24090]: INFO:   Authenticated.
Nov 12 15:12:20 kobayashi-maru NetworkManager[24090]: INFO:   Remote gateway has allocated a VPN.
Nov 12 15:12:20 kobayashi-maru pppd[840]: /usr/lib64/pppd/2.4.7/nm-fortisslvpn-pppd-plugin.so: undefined symbol: _nm_utils_ascii_str_to_int64
Nov 12 15:12:20 kobayashi-maru pppd[840]: Couldn't load plugin /usr/lib64/pppd/2.4.7/nm-fortisslvpn-pppd-plugin.so
Nov 12 15:12:20 kobayashi-maru NetworkManager[24090]: ERROR:  read: Input/output error
Nov 12 15:12:20 kobayashi-maru NetworkManager[24090]: INFO:   Cancelling threads...
Nov 12 15:12:20 kobayashi-maru NetworkManager[24090]: INFO:   Terminated pppd.
Nov 12 15:12:20 kobayashi-maru NetworkManager[24090]: INFO:   Closed connection to gateway.
Nov 12 15:12:20 kobayashi-maru NetworkManager[24090]: INFO:   Logged out.


Expected results:
Connection should work. Output from 1.2.4-4.fc27:
Nov 12 15:19:19 kobayashi-maru NetworkManager[24090]: INFO:   Connected to gateway.
Nov 12 15:19:19 kobayashi-maru NetworkManager[24090]: INFO:   Authenticated.
Nov 12 15:19:19 kobayashi-maru NetworkManager[24090]: INFO:   Remote gateway has allocated a VPN.
Nov 12 15:19:19 kobayashi-maru pppd[3992]: Plugin /usr/lib64/pppd/2.4.7/nm-fortisslvpn-pppd-plugin.so loaded.
Nov 12 15:19:19 kobayashi-maru kernel: PPP generic driver version 2.4.2
Nov 12 15:19:19 kobayashi-maru pppd[3992]: pppd 2.4.7 started by root, uid 0
Nov 12 15:19:19 kobayashi-maru pppd[3992]: Using interface ppp0
Nov 12 15:19:19 kobayashi-maru pppd[3992]: Connect: ppp0 <--> /dev/pts/0
Nov 12 15:19:19 kobayashi-maru systemd-udevd[4013]: link_config: autonegotiation is unset or enabled, the speed and duplex are not writable.
Nov 12 15:19:19 kobayashi-maru NetworkManager[24090]: <info>  [1510496359.9129] manager: (ppp0): new Generic device (/org/freedesktop/NetworkManager/Devices/9)
Nov 12 15:19:20 kobayashi-maru kernel: PPP BSD Compression module registered
Nov 12 15:19:20 kobayashi-maru kernel: PPP Deflate Compression module registered
Nov 12 15:19:20 kobayashi-maru NetworkManager[24090]: INFO:   Got addresses: [10.254.252.1], ns [192.168.12.2, 192.168.12.4]
Nov 12 15:19:21 kobayashi-maru pppd[3992]: local  IP address 10.254.252.1
Nov 12 15:19:21 kobayashi-maru pppd[3992]: remote IP address 1.1.1.1
Nov 12 15:19:21 kobayashi-maru pppd[3992]: primary   DNS address 192.168.12.2
Nov 12 15:19:21 kobayashi-maru pppd[3992]: secondary DNS address 192.168.12.4



Additional info:
This dependency problem was already fixed upstream: https://github.com/GNOME/network-manager-fortisslvpn/commit/4195187fbe5be348222c9a8472f7c9cf0e51d346

Comment 1 Thomas Haller 2017-11-13 17:28:47 UTC
build for f27 is done

(https://koji.fedoraproject.org/koji/taskinfo?taskID=23104635)

but cannot do build for rawhide ATM, because network-manager-applet ( https://koji.fedoraproject.org/koji/buildinfo?buildID=996485) is broken:

  Error: 
   Problem: conflicting requests
    - nothing provides pkgconfig(linm-glib) >= 1.7 needed by libnm-gtk-devel-1.8.6-2.fc28.x86_64


Waiting for that...

Comment 2 Fedora Update System 2017-11-14 12:01:16 UTC
NetworkManager-fortisslvpn-1.2.6-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a6f98d7ef

Comment 3 Thomas Haller 2017-11-14 12:02:30 UTC
network-manager-applet got fixed with version 1.8.6-3.

Now, building NM-fortisslvpn succeeds on rawhide too.

Build done.

Comment 4 Fedora Update System 2017-11-14 16:46:02 UTC
NetworkManager-fortisslvpn-1.2.6-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a6f98d7ef

Comment 5 Matthias Hensler 2017-11-14 21:00:31 UTC
1.2.6-2.fc27 does not fix the issue. I double checked by switching between 1.2.4-4.fc27 and 1.2.6-2.fc27. The current build still lacks that symbol.

Nov 14 21:53:54 kobayashi-maru.wspse.de NetworkManager[12673]: INFO:   Connected to gateway.
Nov 14 21:53:54 kobayashi-maru.wspse.de NetworkManager[12673]: INFO:   Authenticated.
Nov 14 21:53:55 kobayashi-maru.wspse.de NetworkManager[12673]: INFO:   Remote gateway has allocated a VPN.
Nov 14 21:53:55 kobayashi-maru.wspse.de pppd[13688]: /usr/lib64/pppd/2.4.7/nm-fortisslvpn-pppd-plugin.so: undefined symbol: _nm_utils_ascii_str_to_int64
Nov 14 21:53:55 kobayashi-maru.wspse.de pppd[13688]: Couldn't load plugin /usr/lib64/pppd/2.4.7/nm-fortisslvpn-pppd-plugin.so
Nov 14 21:53:55 kobayashi-maru.wspse.de NetworkManager[12673]: ERROR:  read: Input/output error
Nov 14 21:53:55 kobayashi-maru.wspse.de NetworkManager[12673]: INFO:   Cancelling threads...
Nov 14 21:53:55 kobayashi-maru.wspse.de NetworkManager[12673]: INFO:   Terminated pppd.
Nov 14 21:53:55 kobayashi-maru.wspse.de NetworkManager[12673]: INFO:   Closed connection to gateway.
Nov 14 21:53:55 kobayashi-maru.wspse.de NetworkManager[12673]: INFO:   Logged out.

Comment 6 Thomas Haller 2017-11-15 10:35:44 UTC
Yeah, my bad. Sorry. Thanks for testing.

After patching Makefile.am, Makefile.in must be regenerated. That happens by running automake (or autoreconf). The spec file however does not do that, and uses the pre-generated Makefile.in from the source tarball.

NetworkManager-fortisslvpn-1.2.6-3 will get it right.

Comment 7 Fedora Update System 2017-11-15 10:47:40 UTC
NetworkManager-fortisslvpn-1.2.6-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a6f98d7ef

Comment 8 Matthias Hensler 2017-11-15 11:00:03 UTC
Thanks, 1.2.6-3.fc27 fixes the issue. Positive Karma left on bodhi.

Comment 9 Berend De Schouwer 2017-11-15 16:33:10 UTC
1.2.6-3.fc27 works for me too.

Comment 10 Fedora Update System 2017-11-15 23:51:24 UTC
NetworkManager-fortisslvpn-1.2.6-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a6f98d7ef

Comment 11 Thomas Haller 2017-11-20 12:12:42 UTC
*** Bug 1515146 has been marked as a duplicate of this bug. ***

Comment 12 Fedora Update System 2017-11-28 23:47:59 UTC
NetworkManager-fortisslvpn-1.2.6-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.